MyGUI: Data Fields - Functions

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all functions with links to the structures/unions they belong to:

### - s -

- save() : MyGUI::xml::Document
- saveLayerItem() : MyGUI::LayerItem
- saveStartPoint() : MyGUI::TextIterator
- saveToFile() : MyGUI::ITexture
- ScrollBar() : MyGUI::ScrollBar
- ScrollView() : MyGUI::ScrollView
- ScrollViewBase() : MyGUI::ScrollViewBase
- selectSheet() : MyGUI::MemberObsolete< TabControl >
- selectSheetIndex() : MyGUI::MemberObsolete< TabControl >
- serialization() : MyGUI::ISerializable
- set() : MyGUI::Colour, MyGUI::DDItemInfo, MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::Vertex, MyGUI::VertexQuad
- setAction() : MyGUI::ControllerPosition
- setActivateOnClick() : MyGUI::ListBox
- setAlign() : MyGUI::ISubWidget, MyGUI::Widget
- setAlignVert() : MyGUI::MemberObsolete< MenuControl >
- setAlpha() : MyGUI::ControllerFadeAlpha, MyGUI::EditText, MyGUI::ISubWidget, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::SubSkin, MyGUI::TileRect, MyGUI::Widget
- setAngle() : MyGUI::RotatingSkin
- setAntialias() : MyGUI::ResourceTrueTypeFont
- setAttribute() : MyGUI::xml::Element
- setAutoAlpha() : MyGUI::Window
- setBody() : MyGUI::xml::Element
- setButtonAutoWidth() : MyGUI::TabControl
- setButtonDefaultWidth() : MyGUI::TabControl
- setButtonPressed() : MyGUI::MemberObsolete< Button >
- setButtonWidth() : MyGUI::TabControl, MyGUI::TabItem
- setButtonWidthAt() : MyGUI::TabControl
- setCanvasAlign() : MyGUI::ScrollView
- setCanvasSize() : MyGUI::ScrollView
- setCaption() : MyGUI::EditBox, MyGUI::EditText, MyGUI::ISubWidgetText, MyGUI::MenuItem, MyGUI::MultiListItem, MyGUI::TabItem, MyGUI::TextBox, MyGUI::Window
- setCaptionWithReplacing() : MyGUI::TextBox
- setCenter() : MyGUI::RotatingSkin
- setChar() : MyGUI::UString
- setCharacter() : MyGUI::UString::_fwd_iterator
- setClipboardData() : MyGUI::ClipboardManager
- setCoef() : MyGUI::ControllerFadeAlpha
- setColour() : MyGUI::Widget
- setColumnDataAt() : MyGUI::MultiListBox
- setColumnName() : MyGUI::MemberObsolete< MultiListBox >, MyGUI::MultiListBox
- setColumnNameAt() : MyGUI::MultiListBox
- setColumnResizingPolicy() : MyGUI::MultiListBox
- setColumnResizingPolicyAt() : MyGUI::MultiListBox
- setColumnWidth() : MyGUI::MemberObsolete< MultiListBox >, MyGUI::MultiListBox
- setColumnWidthAt() : MyGUI::MultiListBox
- setComboModeDrop() : MyGUI::ComboBox
- setContent() : MyGUI::xml::Element
- setContentPosition() : MyGUI::ScrollViewBase
- setCoord() : MyGUI::Canvas, MyGUI::ControllerPosition, MyGUI::EditBox, MyGUI::ICroppedRectangle, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MultiListBox, MyGUI::ProgressBar, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::TabControl, MyGUI::Widget, MyGUI::Window
- setCurrentLanguage() : MyGUI::LanguageManager
- setCursorPosition() : MyGUI::EditText, MyGUI::ISubWidgetText
- setDeafultPointer() : MyGUI::MemberObsolete< PointerManager >
- setDefaultFont() : MyGUI::FontManager
- setDefaultHeight() : MyGUI::ResourceManualFont
- setDefaultPointer() : MyGUI::PointerManager
- setDefaultSkin() : MyGUI::SkinManager
- setDelayVisible() : MyGUI::ToolTipManager
- setDepth() : MyGUI::Widget
- setDistance() : MyGUI::ResourceTrueTypeFont
- setEditMultiLine() : MyGUI::EditBox
- setEditPassword() : MyGUI::EditBox
- setEditReadOnly() : MyGUI::EditBox
- setEditStatic() : MyGUI::EditBox
- setEditWordWrap() : MyGUI::EditBox
- setEnabled() : MyGUI::ConsoleLogListener, MyGUI::ControllerFadeAlpha, MyGUI::Widget
- setEnabledSilent() : MyGUI::Widget
- setFileName() : MyGUI::FileLogListener
- setFlowDirection() : MyGUI::ComboBox, MyGUI::ProgressBar
- setFontHeight() : MyGUI::EditBox, MyGUI::EditText, MyGUI::ISubWidgetText, MyGUI::MenuItem, MyGUI::TextBox
- setFontName() : MyGUI::EditBox, MyGUI::EditText, MyGUI::ISubWidgetText, MyGUI::MenuItem, MyGUI::TextBox
- setFunction() : MyGUI::ControllerPosition
- setHinting() : MyGUI::ResourceTrueTypeFont
- setHScrollPosition() : MyGUI::EditBox
- setImage() : MyGUI::IPointer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualPointer
- setImageCoord() : MyGUI::ImageBox
- setImageGroup() : MyGUI::Button
- setImageIndex() : MyGUI::ImageBox, MyGUI::MemberObsolete< Button >
- setImageInfo() : MyGUI::ImageBox
- setImageName() : MyGUI::Button
- setImageRect() : MyGUI::ImageBox
- setImageResource() : MyGUI::Button
- setImageTexture() : MyGUI::ImageBox
- setImageTile() : MyGUI::ImageBox
- setIndexSelected() : MyGUI::ComboBox, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MultiListBox, MyGUI::TabControl
- setInheritsAlpha() : MyGUI::Widget
- setInheritsPick() : MyGUI::WidgetInput
- setInvalidateListener() : MyGUI::ITexture
- setInvertSelected() : MyGUI::EditBox, MyGUI::EditText, MyGUI::ISubWidgetText
- setItem() : MyGUI::ImageBox, MyGUI::MemberObsolete< ComboBox >, MyGUI::MemberObsolete< ListBox >, MyGUI::MemberObsolete< MultiListBox >
- setItemBoxAlignVert() : MyGUI::MemberObsolete< ItemBox >
- setItemChecked() : MyGUI::MenuItem
- setItemChildVisible() : MyGUI::MenuControl, MyGUI::MenuItem
- setItemChildVisibleAt() : MyGUI::MenuControl
- setItemData() : MyGUI::MemberObsolete< ItemBox >, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::TabControl
- setItemDataAt() : MyGUI::ComboBox, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, MyGUI::TabControl
- setItemFrame() : MyGUI::ImageBox
- setItemFrameRate() : MyGUI::ImageBox
- setItemGroup() : MyGUI::ImageBox
- setItemId() : MyGUI::MenuControl, MyGUI::MenuItem
- setItemIdAt() : MyGUI::MenuControl
- setItemName() : MyGUI::ImageBox, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::TabControl
- setItemNameAt() : MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, MyGUI::TabControl
- setItemResizingPolicy() : MyGUI::MultiListItem
- setItemResource() : MyGUI::ImageBox
- setItemResourceInfo() : MyGUI::ImageBox
- setItemResourcePtr() : MyGUI::ImageBox
- setItemSelect() : MyGUI::ImageBox, MyGUI::MemberObsolete< ComboBox >, MyGUI::MemberObsolete< ItemBox >, MyGUI::MemberObsolete< ListBox >, MyGUI::MemberObsolete< MultiListBox >
- setItemSelected() : MyGUI::TabControl
- setItemSelectedAt() : MyGUI::MemberObsolete< ComboBox >, MyGUI::MemberObsolete< ItemBox >, MyGUI::MemberObsolete< ListBox >, MyGUI::MemberObsolete< MultiListBox >, MyGUI::MemberObsolete< TabControl >
- setItemType() : MyGUI::MenuControl, MyGUI::MenuItem
- setItemTypeAt() : MyGUI::MenuControl
- setItemWidth() : MyGUI::MultiListItem
- setKeyFocusWidget() : MyGUI::InputManager
- setLastVertexCount() : MyGUI::RenderItem
- setLayerName() : MyGUI::PointerManager
- setLogFilter() : MyGUI::LogSource
- setLoggingLevel() : MyGUI::LevelLogFilter, MyGUI::LogManager
- setManualRender() : MyGUI::RenderItem
- setMaskPick() : MyGUI::WidgetInput
- setMaxListHeight() : MyGUI::MemberObsolete< ComboBox >
- setMaxListLength() : MyGUI::ComboBox
- setMaxSize() : MyGUI::Window
- setMaxTextLength() : MyGUI::EditBox
- setMinMax() : MyGUI::MemberObsolete< Window >
- setMinSize() : MyGUI::Window
- setMinTrackSize() : MyGUI::ScrollBar
- setModeImage() : MyGUI::Button
- setMovable() : MyGUI::Window
- setMoveToClick() : MyGUI::ScrollBar
- setMsdfMode() : MyGUI::ResourceTrueTypeFont
- setMsdfRange() : MyGUI::ResourceTrueTypeFont
- setName() : MyGUI::ILayer
- setNeedCompression() : MyGUI::RenderItem
- setNeedDragDrop() : MyGUI::DDContainer
- setNeedKeyFocus() : MyGUI::WidgetInput
- setNeedMouseFocus() : MyGUI::WidgetInput
- setNeedToolTip() : MyGUI::WidgetInput
- setOffset() : MyGUI::RenderTargetInfo
- setOffsetHeight() : MyGUI::ResourceTrueTypeFont
- setOnlyText() : MyGUI::EditBox
- setOverflowToTheLeft() : MyGUI::EditBox
- setPasswordChar() : MyGUI::EditBox
- setPick() : MyGUI::OverlappedLayer, MyGUI::SharedLayer
- setPointer() : MyGUI::PointerManager, MyGUI::WidgetInput
- setPoints() : MyGUI::PolygonalSkin
- setPopupAccept() : MyGUI::MenuControl
- setPosition() : MyGUI::Canvas, MyGUI::ControllerPosition, MyGUI::EditBox, MyGUI::ICroppedRectangle, MyGUI::IPointer, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MemberObsolete< Window >, MyGUI::MultiListBox, MyGUI::ProgressBar, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualPointer, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::TabControl, MyGUI::Widget, MyGUI::Window
- setProgressAutoTrack() : MyGUI::ProgressBar
- setProgressPosition() : MyGUI::ProgressBar
- setProgressRange() : MyGUI::ProgressBar
- setProgressStartPoint() : MyGUI::MemberObsolete< ProgressBar >
- setProperty() : MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerItem, MyGUI::ControllerPosition, MyGUI::ControllerRepeatClick, MyGUI::Widget
- setPropertyOverride() : MyGUI::Button, MyGUI::ComboBox, MyGUI::DDContainer, MyGUI::EditBox, MyGUI::ImageBox, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::MultiListItem, MyGUI::ProgressBar, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::TabControl, MyGUI::TabItem, MyGUI::TextBox, MyGUI::Widget, MyGUI::Window
- setRealCoord() : MyGUI::Widget
- setRealPosition() : MyGUI::Widget
- setRealSize() : MyGUI::Widget
- setRemainPixels() : MyGUI::ControllerEdgeHide
- setRenderItemTexture() : MyGUI::LayerItem
- setRepeat() : MyGUI::ControllerRepeatClick
- setRepeatEnabled() : MyGUI::ScrollBar
- setRepeatStepTime() : MyGUI::ScrollBar
- setRepeatTriggerTime() : MyGUI::ScrollBar
- setResizeMode() : MyGUI::Canvas
- setResolution() : MyGUI::ResourceTrueTypeFont
- setResourceName() : MyGUI::IResource
- setScrollPage() : MyGUI::ScrollBar
- setScrollPosition() : MyGUI::ListBox, MyGUI::ScrollBar
- setScrollRange() : MyGUI::ScrollBar
- setScrollViewPage() : MyGUI::ScrollBar
- setScrollVisible() : MyGUI::ListBox
- setScrollWheelPage() : MyGUI::ScrollBar
- setSelectBackground() : MyGUI::EditText, MyGUI::ISubWidgetText
- setShader() : MyGUI::ITexture, MyGUI::ResourceManualFont, MyGUI::ResourceTrueTypeFont
- setShadow() : MyGUI::EditText, MyGUI::ISubWidgetText
- setShadowColour() : MyGUI::EditText, MyGUI::ISubWidgetText
- setShadowSize() : MyGUI::ControllerEdgeHide
- setSheetButtonWidth() : MyGUI::MemberObsolete< TabControl >
- setSheetButtonWidthIndex() : MyGUI::MemberObsolete< TabControl >
- setSheetName() : MyGUI::MemberObsolete< TabControl >
- setSheetNameIndex() : MyGUI::MemberObsolete< TabControl >
- setShiftText() : MyGUI::EditText, MyGUI::ISubWidgetText
- setSize() : MyGUI::Canvas, MyGUI::ControllerPosition, MyGUI::EditBox, MyGUI::ICroppedRectangle, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MultiListBox, MyGUI::ProgressBar, MyGUI::ResourceTrueTypeFont, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::TabControl, MyGUI::Widget, MyGUI::Window
- setSmoothShow() : MyGUI::ComboBox, MyGUI::TabControl
- setSnap() : MyGUI::Window
- setSource() : MyGUI::ResourceManualFont, MyGUI::ResourceTrueTypeFont
- setStateCheck() : MyGUI::MemberObsolete< Button >
- setStateData() : MyGUI::EditText, MyGUI::ISubWidget, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::SubSkin, MyGUI::TileRect
- setStateSelected() : MyGUI::Button
- setSTDOutputEnabled() : MyGUI::LogManager
- setStroke() : MyGUI::PolygonalSkin
- setSubItem() : MyGUI::MemberObsolete< MultiListBox >
- setSubItemDataAt() : MyGUI::MultiListBox
- setSubItemNameAt() : MyGUI::MultiListBox
- setSubstituteCode() : MyGUI::ResourceTrueTypeFont
- setTabPrinting() : MyGUI::EditBox
- setTabWidth() : MyGUI::ResourceTrueTypeFont
- setTagColour() : MyGUI::TextIterator
- setText() : MyGUI::TextIterator
- setTextAlign() : MyGUI::EditBox, MyGUI::EditText, MyGUI::ISubWidgetText, MyGUI::TextBox
- setTextColour() : MyGUI::EditBox, MyGUI::EditText, MyGUI::ISubWidgetText, MyGUI::MemberObsolete< EditBox >, MyGUI::TextBox
- setTextCursor() : MyGUI::EditBox
- setTextIntervalColour() : MyGUI::EditBox
- setTextSelect() : MyGUI::MemberObsolete< EditBox >
- setTextSelectColour() : MyGUI::MemberObsolete< EditBox >
- setTextSelection() : MyGUI::EditBox, MyGUI::EditText, MyGUI::ISubWidgetText
- setTextSelectionColour() : MyGUI::EditBox
- setTextShadow() : MyGUI::EditBox, MyGUI::TextBox
- setTextShadowColour() : MyGUI::EditBox, MyGUI::TextBox
- setTexture() : MyGUI::RenderItem, MyGUI::ResourceManualFont
- setTextureManaged() : MyGUI::Canvas
- setTime() : MyGUI::ControllerEdgeHide, MyGUI::ControllerPosition
- setTrackSize() : MyGUI::ScrollBar
- setUserData() : MyGUI::UserData
- setUserString() : MyGUI::UserData
- setVertexCount() : MyGUI::IVertexBuffer
- setVerticalAlignment() : MyGUI::ItemBox, MyGUI::MenuControl, MyGUI::ScrollBar
- setViewOffset() : MyGUI::EditText, MyGUI::ISubWidgetText, MyGUI::ItemBox, MyGUI::ScrollView, MyGUI::SimpleText
- setViewSize() : MyGUI::RenderManager
- setVisible() : MyGUI::EditText, MyGUI::ISubWidget, MyGUI::MenuControl, MyGUI::PointerManager, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::SubSkin, MyGUI::TileRect, MyGUI::Widget, MyGUI::Window
- setVisibleCursor() : MyGUI::EditText, MyGUI::ISubWidgetText
- setVisibleHScroll() : MyGUI::EditBox, MyGUI::ItemBox, MyGUI::ScrollView
- setVisiblePointer() : MyGUI::MemberObsolete< Gui >
- setVisibleSmooth() : MyGUI::MenuControl, MyGUI::Window
- setVisibleVScroll() : MyGUI::EditBox, MyGUI::ItemBox, MyGUI::ScrollView
- setVScrollPosition() : MyGUI::EditBox
- setWidgetClient() : MyGUI::Widget
- setWidgetStyle() : MyGUI::Widget
- setWidth() : MyGUI::PolygonalSkin
- setWordWrap() : MyGUI::EditText, MyGUI::ISubWidgetText
- SharedLayer() : MyGUI::SharedLayer
- SharedLayerNode() : MyGUI::SharedLayerNode
- shouldLog() : MyGUI::ILogFilter, MyGUI::LevelLogFilter
- show() : MyGUI::MemberObsolete< PointerManager >
- showBarButton() : MyGUI::MemberObsolete< TabControl >
- showBarSelectButton() : MyGUI::MemberObsolete< TabControl >
- showHScroll() : MyGUI::MemberObsolete< EditBox >, MyGUI::MemberObsolete< ScrollView >
- showItemChild() : MyGUI::MemberObsolete< MenuControl >, MyGUI::MemberObsolete< MenuItem >
- showItemChildAt() : MyGUI::MemberObsolete< MenuControl >
- showMenu() : MyGUI::MemberObsolete< MenuControl >
- showPointer() : MyGUI::MemberObsolete< Gui >
- showSmooth() : MyGUI::MemberObsolete< Window >
- showVScroll() : MyGUI::MemberObsolete< EditBox >, MyGUI::MemberObsolete< ScrollView >
- shutdown() : MyGUI::BackwardCompatibility, MyGUI::ClipboardManager, MyGUI::ControllerManager, MyGUI::DynLibManager, MyGUI::FactoryManager, MyGUI::FontManager, MyGUI::Gui, MyGUI::InputManager, MyGUI::IPlugin, MyGUI::LanguageManager, MyGUI::LayerManager, MyGUI::LayoutManager, MyGUI::PluginManager, MyGUI::PointerManager, MyGUI::ResourceManager, MyGUI::SkinManager, MyGUI::SubWidgetManager, MyGUI::ToolTipManager, MyGUI::WidgetManager
- shutdownOverride() : MyGUI::Button, MyGUI::Canvas, MyGUI::ComboBox, MyGUI::EditBox, MyGUI::ImageBox, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::MultiListBox, MyGUI::MultiListItem, MyGUI::ProgressBar, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::TabControl, MyGUI::TabItem, MyGUI::Widget, MyGUI::Window
- SimpleText() : MyGUI::SimpleText
- Singleton() : MyGUI::Singleton< T >
- SingletonHolder() : MyGUI::SingletonHolder< T >
- size() : MyGUI::DataMemoryStream, MyGUI::DataStream, MyGUI::IDataStream, MyGUI::types::TCoord< T >, MyGUI::UString
- SkinItem() : MyGUI::SkinItem
- SkinManager() : MyGUI::SkinManager
- sortByColumn() : MyGUI::MultiListBox
- SubSkin() : MyGUI::SubSkin
- substr() : MyGUI::UString
- SubWidgetBinding() : MyGUI::SubWidgetBinding
- SubWidgetInfo() : MyGUI::SubWidgetInfo
- SubWidgetManager() : MyGUI::SubWidgetManager
- swap() : MyGUI::Any, MyGUI::types::TCoord< T >, MyGUI::types::TPoint< T >, MyGUI::types::TRect< T >, MyGUI::types::TSize< T >, MyGUI::UString
- swapColumnsAt() : MyGUI::MultiListBox
- swapItems() : MyGUI::TabControl
- swapItemsAt() : MyGUI::ListBox, MyGUI::MultiListBox
- swapItemsBackAt() : MyGUI::BiIndexBase
- swapItemsFaceAt() : MyGUI::BiIndexBase